{% extends 'base.html' %}
{% load static %}

{% block title %}{{ object.title }}{% endblock %}
{% block content %}
    <div class="row">
        <div class="col-3 text-center text-white" style="background-color:#052c65">
            <br>
            <br>
            <img src="{% static 'announcements_icon.png'%}" class="img-fluid" width="100" height="100">
            <br>
            <br>
            <h2>Announcements</h2>
            <h4 class="display-6" style="font-size:20px">Announcement Details</h4>
            <br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br>
            <p>© Jenica e-Sports</p>
        </div>
        <div class="col-9 text-center">
            <div class="row p-5 text-center" style="background-color:#e3e4e6">
                <h1 class="display-3" style="font-size:55px; color:#052c65">{{ object.title }}</h1>
            </div>
            <br>
            <div class="row">
                <div class="col-5" style="text-align:right">
                    <h4 style="font-size:25px">By:</h4>
                    <h4 style="font-size:25px">Posted on:</h4>
                </div>
                <div class="col-7" style="text-align:left">
                    <h5 class="display-3" style="font-size:25px">{{ object.author.first_name }} {{ object.author.last_name }}</h5>
                    <h5 class="display-3" style="font-size:25px">{{ object.formatted_date }}, {{ object.formatted_time }}</h5>
                </div>
            </div>
            <br>
            <div class="row p-2" style="background-color:#e3e4e6">
                <h5 class="display-3" style="font-size:25px">{{ object.body }}</h5>
            </div>
            <br>
            <div class="row">
                <div class="col-5" style="text-align:right">
                    <h4 style="font-size:25px">Like:</h4>
                    <h4 style="font-size:25px">Love:</h4>
                    <h4 style="font-size:25px">Angry:</h4>
                </div>
                <div class="col-7" style="text-align:left">
                    <h5 class="display-3" style="font-size:25px">{{ object.getLikeReactions }}</h5>
                    <h5 class="display-3" style="font-size:25px">{{ object.getLoveReactions }}</h5>
                    <h5 class="display-3" style="font-size:25px">{{ object.getAngryReactions }}</h5>
                </div>
            </div>
            <br><br>
            <button type="button" class="btn" style="background-color:#e3e4e6">
                <a href="/announcements/{{object.pk}}/edit" class="link-dark">Edit Announcement</a>
            </button> &nbsp; &nbsp; 
            <button type="button" class="btn" style="background-color:#052c65">
                <a href="/announcements/" class="link-light">Back to Announcement Board</a>
            </button>
        </div>
    </div>
{% endblock %}